[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [linux-lvm] Re: 2.4.10 patch fails: min() -> min_t() etc.



On Thu, Sep 27 '01 at 22:42, Jens Benecke wrote:
> > the 2.4.10 patch fails, because min() has been made more strict in regard
> > to data types, and the old function is now min_t(). (according to alan's
> > changelog)
> 
> OK, sue me. I've looked into CVSweb and noticed there were changes
> regarding min/max already.  
In linux 2.4.9 the min and max macros have been changed to require three
parameters: type, a, b. LVM 1.0.1-rc2 CVS has been fixed to support
this.
Alan (and others) have never supported this change, had proposed a
better version (that is compatible to 2.4.8 and before) this new version
has been adpoted in 2.4.10. 
This has not yet been fixed in LVM. You have to grep through your patch
and fix the min/max macros. The exact locations have been posted on this
list.
-- 
Goetz Bock                                              IT Consultant
Dipl.-Inf. Univ.

Attachment: pgp00017.pgp
Description: PGP signature


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]